package uk.ac.vamsas.client.picking;

/**
 * Interface that defines the methods required for a message handler. This
 * interface must be implemented by the client application (TOPALi, Jalview or
 * AstexViewer).
 */
public interface IMessageHandler
{
	/**
	 * Responds to a message received event. It is advisable to implement this
	 * method so that it threads off any actions into the GUI event-dispatching
	 * thread.
	 * @param message the message that was received
	 */
	public void handleMessage(Message message);
}